summaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rwxr-xr-xci/startcompose.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/ci/startcompose.sh b/ci/startcompose.sh
index e65fa86..5b44c2d 100755
--- a/ci/startcompose.sh
+++ b/ci/startcompose.sh
@@ -13,14 +13,20 @@ fi
# Get absolute path to current directory this script is in
SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
-pushd "$SCRIPT_DIR"/..
+pushd "$SCRIPT_DIR"/.. || exit 1
# Create self-signed certificate
mkdir -p ci/docker/selfsigned
./ci/docker/createcert.sh
+
# Up the containers and abort on exit. Also rebuild the necessary steps if there are changes
-# You can symlink docker-compose to podman-compose to use Podman
-docker-compose up --build --force-recreate --abort-on-container-exit
+# You can pass EDUVPN_PODCOMP=1 to use podman-compose instead of docker-compose
+compose_cmd="docker-compose"
+if [ "$EDUVPN_PODCOMP" ]; then
+ compose_cmd="podman-compose"
+fi
+
+"$compose_cmd" up --build --force-recreate --abort-on-container-exit
-popd
+popd || exit 1